#pragma once


// CRoutingWindow

#define NUM_RECTS 55

class CRoutingWindow : public CWnd
{
	DECLARE_DYNAMIC(CRoutingWindow)

public:
	CRoutingWindow();
	virtual ~CRoutingWindow();

	mi * m_serpent;

	CPoint m_pntMousePos;

protected:
	DECLARE_MESSAGE_MAP()
	afx_msg void OnPaint(void);

	CBitmap m_bmRouting;
	CBitmap m_bmRoutingOver;
	CBitmap m_bmRoutingSelected;

	CRect m_rectLoad;
	CRect m_rectSave;

	CRect m_rectNote1Note2;

	CRect m_rectOctaveShift;

	CRect m_rectFMPitch;

	CRect m_rectFMWaveformSine;
	CRect m_rectFMWaveformSaw;
	CRect m_rectFMWaveformSquare;
	CRect m_rectFMWaveformTriangle;
	CRect m_rectFMWaveformNoise1;
	CRect m_rectFMWaveformNoise2;

	CRect m_rectFMOsc1;
	CRect m_rectOsc1Pitch;
	CRect m_rectOsc1WaveformSine;
	CRect m_rectOsc1WaveformSaw;
	CRect m_rectOsc1WaveformSquare;
	CRect m_rectOsc1WaveformTriangle;
	CRect m_rectOsc1WaveformNoise1;
	CRect m_rectOsc1WaveformNoise2;
	CRect m_rectOsc1Amp;

	CRect m_rectFMOsc2;
	CRect m_rectOsc2Pitch;
	CRect m_rectOsc2WaveformSine;
	CRect m_rectOsc2WaveformSaw;
	CRect m_rectOsc2WaveformSquare;
	CRect m_rectOsc2WaveformTriangle;
	CRect m_rectOsc2WaveformNoise1;
	CRect m_rectOsc2WaveformNoise2;
	CRect m_rectOsc2Amp;

	CRect m_rectFMOsc3;
	CRect m_rectOsc3Pitch;
	CRect m_rectOsc3WaveformSine;
	CRect m_rectOsc3WaveformSaw;
	CRect m_rectOsc3WaveformSquare;
	CRect m_rectOsc3WaveformTriangle;
	CRect m_rectOsc3WaveformNoise1;
	CRect m_rectOsc3WaveformNoise2;
	CRect m_rectOsc3Amp;

	CRect m_rectClipLevel;

	CRect m_rectFilter1Cutoff;
	CRect m_rectFilter1Res;
	CRect m_rectFilter1LP;
	CRect m_rectFilter1HP;
	CRect m_rectFilter1BP;

	CRect m_rectFilter2Cutoff;
	CRect m_rectFilter2Res;
	CRect m_rectFilter2LP;
	CRect m_rectFilter2HP;
	CRect m_rectFilter2BP;

	CRect m_rectFilter3Cutoff;
	CRect m_rectFilter3Res;
	CRect m_rectFilter3LP;
	CRect m_rectFilter3HP;
	CRect m_rectFilter3BP;

	CRect m_rectAmp;

	CRect m_allRects[NUM_RECTS];

	CRect * m_pSelectedRect;

	CStringArray saMenuItems;

public:
	HINSTANCE hInstResource;

	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);

	virtual BOOL OnCommand( WPARAM wParam, LPARAM lParam);

};	